Expired PayByLink
- Endpoint:
POST /aggregate-pay/api/gateway/expirePaybylink - Tags: Collection Service/PayByLink
Description
Endpoint:expirePaybylink
Parameters
| Field | In | Type | Required | Constraints | Description |
|---|---|---|---|---|---|
Content-Type | header | string | Yes | ||
sign | header | string | Yes | 签名信息请参考技术文档 |
Parameter Examples
Content-Type:"application/json"sign:"FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="
Request Body
Content-Type: application/json
| Field | Type | Required | Constraints | Description | Enum |
|---|---|---|---|---|---|
version | string | Yes | API version. Current value: 1.1 | ||
keyVersion | string | Yes | Signature Algorithm Version, Current value: 1 | ||
requestTime | string | Yes | Request time, compliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX The time must be within two minutes of the current time | ||
merchantNo | string | No | maxLength: 32 | Merchant Id, the unique identifier generated when the merchant signs the contract with PayerMax | |
merchantAppId | string | Yes | maxLength: 64 | Merchant application Id, the unique identifier assigned to the merchant application by PayerMax. | |
data | object | Yes | Request data body. | ||
data.merchantLinkId | string | Yes | maxLength: 64 | Merchant link unique order number. |
Example
json
{
"version": "1.1",
"keyVersion": "1.0",
"requestTime": "2022-01-22T10:00:00.500+08:00",
"merchantAppId": "6666c8b036a24579974497c2f9a33333",
"merchantNo": "010213834784554",
"data": {
"merchantLinkId": "paybylinktest001"
}
}Responses
200
| Field | Type | Required | Constraints | Description | Enum |
|---|---|---|---|---|---|
code | string | Yes | Return code, ‘APPLY_SUCCESS’ means success | ||
msg | string | Yes | Return message, ‘Success.’ | ||
data | object | No | Return data body. | ||
data.linkId | string | Yes | maxLength: 64 | PMmax link unique number. | |
data.merchantLinkId | string | Yes | maxLength: 64 | Merchant link unique order number. | |
data.linkStatus | string | Yes | maxLength: 16 | ACTIVE、EXPIRED. | ACTIVE, EXPIRED |
data.expiresAt | string | Yes | maxLength: 32 | The specific time when the link expires. | |
data.linkUrl | string | Yes | maxLength: 256 | PayByLink url. | |
data.qrCodeUrl | string | Yes | maxLength: 256 | PayByLink QRcode url. |
Response Example
json
{
"code": "APPLY_SUCCESS",
"msg": "SUCCESS.",
"data": {
"linkId": "jyirffse",
"merchantLinkId": "paybylinktest001",
"linkStatus": "ACTIVE",
"expiresAt": "2022-10-20T10:00:00.500+08:00",
"linkUrl": "https://www.payermax.link/mtfbpomjw",
"qrCodeUrl": "https://www.payermax.link/images/mtfbpomjwquc/qrcode"
}
}Enum Reference
data.linkStatus
ACTIVEEXPIRED
